Bug 494303 - EA set security.selinux ... failed
EA set security.selinux ... failed
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dump (Show other bugs)
5.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Tkac
Milos Malik
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-06 06:12 EDT by Milos Malik
Modified: 2013-04-12 16:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Previously, the restore command attempted to restore extended attributes of a file after the immutable flag had been set. As a result, the attributes were not fully restored, and a warning message was displayed on standard error (STDERR). With this update, these operations are now performed in the correct order, and the restore command no longer fails to set the extended attributes.
Story Points: ---
Clone Of:
: 576213 (view as bug list)
Environment:
Last Closed: 2010-09-08 10:48:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bug fixed in Fedora (2.18 KB, patch)
2010-01-07 09:09 EST, Jan Görig
no flags Details | Diff

  None (edit)
Description Milos Malik 2009-04-06 06:12:53 EDT
Description of problem:
When restoring a file that has the immutable flag set, restore displays a
warning (see below) and the SELinux file context is not fully restored. This bug maybe is a regression of bz#208835 , which was filed against Fedora 5.

* following warning was issued when restoring /boot files
restore: ./config-2.6.18-128.el5PAE: EA set security.selinux:system_u:object_r:boot_t:s0 failed: Operation not permitted

* SELinux context before dump was called:
-rw-r--r--  root root system_u:object_r:boot_t         /boot/config-2.6.18-128.el5PAE

* SELinux context after restore was called:
-rw-r--r--  root root root:object_r:boot_t             /boot/config-2.6.18-128.el5PAE


Version-Release number of selected component (if applicable):
RHEL5-Server-U3
dump-0.4b41-2.fc6

How reproducible:
always

Steps to Reproduce:
1. Choose a directory and add immutable flag to one of its files.
2. Create a dump of the directory.
3. Delete all files in the directory.
4. Restore the dump in the same directory.
5. Check immutable flag and SELinux context.
  
Actual results:
restore displays a warning when restoring the file with immutable flag set

Expected results:
restore displays no warnings when restoring the file with immutable flag set
Comment 2 RHEL Product and Program Management 2009-11-06 14:26:42 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 3 Jan Görig 2010-01-07 09:09:54 EST
Created attachment 382238 [details]
Bug fixed in Fedora

Bug fixed in Fedora. Patch attached.
Comment 4 Terry Horsnell 2010-03-23 09:44:44 EDT
I'm still getting problems like this using dump/restore from the Live FC12.
It seems to be using the latest version of dump/restore dump-0.4-0.3.b42.fc12.i686. Does this version incorporate the patch?
Cheers,
Terry
Comment 5 Adam Tkac 2010-03-23 10:02:02 EDT
(In reply to comment #4)
> I'm still getting problems like this using dump/restore from the Live FC12.
> It seems to be using the latest version of dump/restore
> dump-0.4-0.3.b42.fc12.i686. Does this version incorporate the patch?

No, because noone reported this issue against Fedora. Patch is applied only in current development branch (Fedora 14). If you would like to get this issue fixed in Fedora 12 & 13 open new ticket, please (click on "Clone This Bug" button in upper right corner and select appropriate product, Fedora 12 in your case).
Comment 6 Terry Horsnell 2010-03-24 07:31:27 EDT
Sorry - I submitted this against the wrong product. It should have been FC12 and not RHE 5. I've re-submitted (hopefully) correctly.
Comment 11 Jaromir Hradilek 2010-07-27 05:07:21 EDT
Technical note added. If any revisions are required, please edit the "Technical Notes" field
accordingly. All revisions will be proofread by the Engineering Content Services team.

New Contents:
Previously, the restore command attempted to restore extended attributes of a file after the immutable flag had been set. As a result, the attributes were not fully restored, and a warning message was displayed on standard error (STDERR). With this update, these operations are now performed in the correct order, and the restore command no longer fails to set the extended attributes.
Comment 14 errata-xmlrpc 2010-09-08 10:48:53 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0684.html

Note You need to log in before you can comment on or make changes to this bug.